Page MenuHomePhabricator

[Task] Serializers should optionally fail when encountering derived data
Closed, InvalidPublic

Description

When serializing for DB storage, serialization should fail on derived data objects like FallbackTerm or ExtendedPropertyValueSnak. We may want to use a marker interface for this.

Event Timeline

daniel created this task.Jun 17 2015, 12:44 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
Lydia_Pintscher renamed this task from Serializers should optionally fail when encountering derived data. to [Task] Serializers should optionally fail when encountering derived data.Sep 10 2015, 10:37 AM
Lydia_Pintscher set Security to None.
Bene added a subscriber: Bene.Sep 17 2015, 2:58 PM
Addshore closed this task as Invalid.Jan 23 2019, 12:24 PM
Addshore added a subscriber: Addshore.

Task break down is no longer valid, and we have closed the epic T112548